Foreman - Bug #6694

PGError: while creating OS with long (greater than 5 chars) minor/major version values
07/20/2014 01:21 AM - Ori Rabin

Status: Closed

Priority: Normal

Assignee: Ori Rabin

Category: Database

Target version: 1.6.0

Difficulty:

Triaged:

Bugzilla link: 1120095

Pull request: https://github.com/theforeman/foreman/p

ull/1593

Fixed in Releases:
Found in Releases:
Red Hat JIRA:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1120095

Description of problem:
Creating OS with long integer values for major/minor version raises PR error on Ul and internal server error in production.log

Version-Release number of selected component (if applicable):
candlepin-0.9.19-1.el6_5.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.9.19-1.el6_5.noarch
candlepin-tomcat6-0.9.19-1.el6_5.noarch
elasticsearch-0.90.10-4.el6sat.noarch
foreman-1.6.0.21-1.el6sat.noarch
foreman-compute-1.6.0.21-1.el6sat.noarch
foreman-gce-1.6.0.21-1.el6sat.noarch
foreman-libvirt-1.6.0.21-1.el6sat.noarch
foreman-ovirt-1.6.0.21-1.el6sat.noarch
foreman-postgresql-1.6.0.21-1.el6sat.noarch
foreman-proxy-1.6.0.9-1.el6sat.noarch
foreman-selinux-1.6.0-5.el6sat.noarch
foreman-vmware-1.6.0.21-1.el6sat.noarch
katello-1.5.0-26.el6sat.noarch
katello-ca-1.0-1.noarch
katello-certs-tools-1.5.5-1.el6sat.noarch
katello-installer-0.0.53-1.el6sat.noarch
openldap-2.4.23-32.el6_4.1.x86_64
pulp-katello-0.3-3.el6sat.noarch
pulp-nodes-common-2.4.0-0.23.beta.el6sat.noarch
pulp-nodes-parent-2.4.0-0.23.beta.el6sat.noarch
pulp-puppet-plugins-2.4.0-0.23.beta.el6sat.noarch
pulp-puppet-tools-2.4.0-0.23.beta.el6sat.noarch
pulp-rpm-plugins-2.4.0-0.23.beta.el6sat.noarch
pulp-selinux-2.4.0-0.23.beta.el6sat.noarch
pulp-server-2.4.0-0.23.beta.el6sat.noarch
python-ldap-2.3.10-1.e16.x86_64
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
rubygem-hammer_cli-0.1.1-5.el6sat.noarch

rubygem-hammer_cli_foreman-0.1.1-9.el6sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3-2.el6sat.noarch

rubygem-hammer_cli_katello-0.0.4-7.el6sat.noarch

How reproducible:
https://bugzilla.redhat.com/show_bug.cgi?id=1120095

always

Steps to Reproduce:

1. create OS with following values of major and minor version
minor=>"456677"

major=>"213333"

Actual results:
Error
PGError: ERROR: value too long for type character varying(5) : INSERT INTO "operatingsystems" ("created_at", "description”,

"hostgroups_count", "hosts_count", "major", "minor", "name",
$2, $3, $4, $5, $6, $7, $8, $9, $10, $11) RETURNING "id"

nameindicator”, "release_name", "type", "updated_at") VALUES ($1,

Expected results:
A proper validation error should be raised, stating the limit of major/minor versions

Additional info:
Logs from production.log:

Processing by OperatingsystemsController#create as */*

Parameters: {"utf8"=>"l", "search"=>"", "authenticity_token"=>"pYqlISU1mYaX/00jgmd7SSFVHK9D8bb+RbGXFTbQa70=",
"operatingsystem"=>{"name"=>"testOS", "major"=>"213333", "minor"=>"456677", "description"=>"test version limit",
"family"=>"Redhat", "release_name"=>"", "architecture_ids"=>["", ", "1", ""], "ptable_ids"=>[""], "medium_ids"=>["]}}

Operation FAILED: PGError: ERROR: value too long for type character varying(5)

:INSERT INTO "operatingsystems" ("created_at", "description”, "hostgroups_count", "hosts_count", "major”, "minor", "name",
"nameindicator”, "release_name", "type", "updated_at") VALUES ($1, $2, $3, $4, $5, $6, $7, $8, $9, $10, $11) RETURNING "id"
Rendered common/500.html.erb (16.7ms)

Completed 500 Internal Server Error in 73ms (Views: 18.9ms | ActiveRecord: 6.5ms)

Related issues:

Related to Foreman - Bug #7038: PGError when hostgroup name exceeds 245 chara... Closed 08/12/2014
Has duplicate Foreman - Bug #4153: Model validation error Duplicate 01/21/2014
Has duplicate Foreman - Bug #6658: creating compute resource with name more t... Duplicate 07/17/2014
Has duplicate Foreman - Bug #6712: PGError when media name exceeds 255 charac... Duplicate 07/22/2014

Associated revisions

Revision 3034e8e2 - 07/31/2014 06:00 AM - Ori Rabin
fixes #6636, #6657, #6694 - add field length validations, extend audit field length

History

#1 - 07/20/2014 01:42 AM - Ori Rabin
- Status changed from New to Ready For Testing

#2 - 07/21/2014 04:36 AM - Dominic Cleal

- Category set to Database

- Target version set to 1.8.0

- Pull request https://github.com/theforeman/foreman/pull/1593 added
- Pull request deleted ()

#3 - 07/29/2014 06:19 AM - Dominic Cleal
- Has duplicate Bug #4153: Model validation error added

#4 - 07/29/2014 06:20 AM - Dominic Cleal

- Has duplicate Bug #6658: creating compute resource with name more than 245 chars fails added

#5 - 07/29/2014 06:21 AM - Dominic Cleal

- Has duplicate Bug #6712: PGError when media name exceeds 255 characters added

#6 - 07/30/2014 06:51 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5
#7 - 07/31/2014 05:58 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#8 - 07/31/2014 06:01 AM - Ori Rabin
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 3034e8e28302eab858fa43b71136212350396808.

#9 - 08/13/2014 06:49 AM - Ori Rabin
- Related to Bug #7038: PGError when hostgroup name exceeds 245 characters added
